Issue700

Title add ExplicitTask class
Priority feature Status chatting
Superseder Nosy List florian, jendrik, malte, mkatz
Assigned To Keywords
Optional summary
Part of issue509.

Waiting for issue725, issue726, and other issues that make the search
independent of g_operators.

Created on 2016-12-20.17:59:52 by jendrik, last changed by mkatz.

Summary
Part of issue509.

Waiting for issue725, issue726, and other issues that make the search
independent of g_operators.
Messages
msg6326 (view) Author: florian Date: 2017-05-02.19:22:37
Switching get_successor_state to OperatorProxy is issue726.
msg6323 (view) Author: florian Date: 2017-05-02.19:12:45
I updated the pull request with the new code. There are still two global
variables that make the code for this issue awkward: g_operators and
g_initial_state_data. The latter has a circular dependency with this issue but
the workaround for this issue wouldn't be so bad, I think.

We already have an issue in the pipeline (issue725) that will start to simplify
things for g_operators. In the next offline meeting we also want to discuss how
to deal with "g" and "real_g", another place that relies on g_operators. If we
also switch get_successor_state to OperatorProxy then we can remove g_operators
and this issue will be a much cleaner patch. So I suggest to wait until then.
msg6320 (view) Author: florian Date: 2017-05-02.16:35:40
Issue629 and issue688 are now merged.
msg6015 (view) Author: florian Date: 2017-01-05.18:13:56
From some offline discussion: For now, we want to simplify things by
implementing the class we called ExplicitTask so far as RootTask instead of
deriving ExplicitTask from DelegatingTask and then RootTask from ExplicitTask.
This will then only work for the root task, not for TNF tasks as we originally
planned in issue576. Once it is merged, we can think about how to best implement
TNF task.
msg5960 (view) Author: florian Date: 2016-12-21.15:19:36
I started working on this and put up a pull request, but I suggest we wait with
this until at least issue629 and and issue688 are merged.

https://bitbucket.org/FlorianPommerening/downward-issues/pull-requests/30
msg5944 (view) Author: jendrik Date: 2016-12-20.17:59:51
Split off from issue576.

We need ExplicitTask to store the data for the RootTask interface.
History
Date User Action Args
2017-05-16 10:22:26mkatzsetnosy: + mkatz
2017-05-02 19:22:37floriansetmessages: + msg6326
summary: Part of issue509. Waiting for issue725 and other issues that make the search independent of g_operators. -> Part of issue509. Waiting for issue725, issue726, and other issues that make the search independent of g_operators.
2017-05-02 19:12:45floriansetmessages: + msg6323
summary: Part of issue509. Waiting for issue725 and other issues that make the search independent of g_operators.
2017-05-02 16:35:40floriansetmessages: + msg6320
summary: Wait for issue629 and and issue688. -> (no value)
2017-01-05 18:13:56floriansetmessages: + msg6015
2016-12-21 15:19:36floriansetstatus: unread -> chatting
messages: + msg5960
summary: Wait for issue629 and and issue688.
2016-12-20 17:59:52jendrikcreate